Package org.apache.ignite.mxbean

## Interface IgniteClusterMXBean

All Known Implementing Classes:
  `IgniteClusterMXBeanImpl`

    @Deprecated
    @MXBeanDescription("MBean that provides access to information about cluster ID and tag.")
    public interface IgniteClusterMXBean

Deprecated.
Use managements API beans, instead.
MX Bean allows to access information about cluster ID and tag and change tag.

See Also:
  `CommandMBean`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`UUID` `getId()` Deprecated. Gets cluster ID.
`String` `getTag()` Deprecated. Gets current cluster tag.
`void` `tag​(String newTag)` Deprecated. Changes cluster tag to provided value.

### Method Detail

#### getId

    @MXBeanDescription("Unique identifier of the cluster.")
    UUID getId()

Deprecated.
Gets cluster ID.

Returns:
  Cluster ID.

#### getTag

    @MXBeanDescription("User-defined cluster tag.")
    String getTag()

Deprecated.
Gets current cluster tag.

Returns:
  Current cluster tag.

#### tag

    @MXBeanDescription("Set new cluster tag value.")
    @MXBeanParametersNames("newTag")
    @MXBeanParametersDescriptions("New tag value to be set.")
    void tag​(String newTag)
      throws JMException

Deprecated.
Changes cluster tag to provided value.

Parameters:
  `newTag` - New value to be set as cluster tag.
Throws:
  `JMException` - If provided value failed validation or concurrent change tag operation succeeded.